XvSelectPortNotify(__libmansuffix__)

NAME
XvSelectPortNotify - enable or disable XvPortNotify events

SYNOPSIS
#include <X11/extensions/Xvlib.h>

int XvSelectPortNotify(Display *dpy, XvPortID port, Bool onoff);

ARGUMENTS

dpy Specifies the connection to the X server.

port
    Specifies the port for which PortNotify events are to be generated when its attributes are changed using XvSetPortAttribute(__libmansuffix__)

onoff
    Specifies whether notification is to be enabled or disabled.

DESCRIPTION
XvSelectPortNotify(__libmansuffix__) enables or disables PortNotify event delivery to the requesting client. XvPortNotify(__libmansuffix__) events are generated when port attributes are changed using XvSetPortAttribute(__libmansuffix__).

RETURN VALUES

[Success]
    Returned if XvSelectPortNotify(__libmansuffix__) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvSelectPortNotify(__libmansuffix__) failed to allocate memory to process the request.

DIAGNOSTICS

[XvBadPort]
    Generated if the requested port does not exist.

SEE ALSO
XvSetPortNotify(__libmansuffix__), XvSetPortAttribute(__libmansuffix__), XvPortNotify(__libmansuffix__)